Skip to main content
GET
/
vault
/
accounts
Get vault accounts
curl --request GET \
  --url https://api.fireblocks.io/v1/vault/accounts
[
  {
    "id": "<string>",
    "name": "<string>",
    "assets": [
      {
        "id": "<string>",
        "total": "<string>",
        "balance": "<string>",
        "available": "<string>",
        "pending": "<string>",
        "frozen": "<string>",
        "lockedAmount": "<string>",
        "staked": "<string>",
        "totalStakedCPU": "<string>",
        "totalStakedNetwork": "<string>",
        "selfStakedCPU": "<string>",
        "selfStakedNetwork": "<string>",
        "pendingRefundCPU": "<string>",
        "pendingRefundNetwork": "<string>",
        "blockHeight": "<string>",
        "blockHash": "<string>",
        "rewardsInfo": {
          "pendingRewards": "<string>"
        }
      }
    ],
    "hiddenOnUI": true,
    "customerRefId": "<string>",
    "autoFuel": true,
    "tags": [
      {
        "id": "df4c0987-30da-4976-8dcf-bc2dd41ae331",
        "label": "VIP",
        "isProtected": false,
        "updatedAt": 1717084800000,
        "description": "Tag for VIP customers",
        "color": "#FF5733",
        "pendingApprovalRequest": {
          "id": "12345",
          "type": "TAG_UPDATE",
          "state": "PENDING"
        }
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

namePrefix
string
nameSuffix
string
minAmountThreshold
number
assetId
string

Response

A list of vault accounts

id
string
name
string
assets
object[]
hiddenOnUI
boolean
customerRefId
string
autoFuel
boolean
tags
object[]

List of tags attached to the vault account